# Kwil Header tool
An in-development command line tool for generating serialization code from C header files.

Features:
[x] Generate `*_json_length` and `*_to_json`functions for structs and enums marked with `KWIL_STRUCT()` or `KWIL_ENUM()`
[ ] Generate `*_from_json` functins for structs.
[ ] Dynamic array length specifiers (e.g: `KWIL_FIELD(LEN=13` or `KWIL_FIELD(LEN=<field_name>`)

## Example
```c
#include "kwil.h" // kwil.h header contains empty KWIL_STRUCT() KWIL_ENUM() and KWIL_FIELD() macros

```